# Google Cloud Sql Admin V1 Client - Class SqlInstancesCloneRequest (1.9.0)

1.9.0 (latest) 1.8.0 1.7.0 1.6.0 1.5.0 1.4.0 1.3.1 1.2.6 1.1.0 1.0.0 0.19.0 0.18.0 0.17.1 0.16.1 0.12.0 0.11.0 0.10.0 0.9.0 0.8.0 0.7.0 0.6.0 0.5.0 0.4.1 0.3.1 0.2.12 Reference documentation and code samples for the Google Cloud Sql Admin V1 Client class SqlInstancesCloneRequest.

Instance clone request.

Generated from protobuf message `google.cloud.sql.v1.SqlInstancesCloneRequest`

## Namespace

Google \\ Cloud \\ Sql \\ V1

## Methods

### __construct

Constructor.

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `data` | `array` Optional. Data for populating the Message object. |
| `↳ instance` | `string` Required. The ID of the Cloud SQL instance to be cloned (source). This does not include the project ID. |
| `↳ project` | `string` Required. Project ID of the source Cloud SQL instance. |
| `↳ body` | `https://docs.cloud.google.com/php/docs/reference/cloud-sql-admin/latest/V1.InstancesCloneRequest` |

### getInstance

Required. The ID of the Cloud SQL instance to be cloned (source). This does
not include the project ID.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setInstance

Required. The ID of the Cloud SQL instance to be cloned (source). This does
not include the project ID.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getProject

Required. Project ID of the source Cloud SQL instance.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setProject

Required. Project ID of the source Cloud SQL instance.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getBody

Generated from protobuf field `.google.cloud.sql.v1.InstancesCloneRequest body = 100 [(.google.api.field_behavior) = REQUIRED];`

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/cloud-sql-admin/latest/V1.InstancesCloneRequest|null` |   |

### hasBody

### clearBody

### setBody

Generated from protobuf field `.google.cloud.sql.v1.InstancesCloneRequest body = 100 [(.google.api.field_behavior) = REQUIRED];`

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `https://docs.cloud.google.com/php/docs/reference/cloud-sql-admin/latest/V1.InstancesCloneRequest` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |